<!DOCTYPE html>
<html ng-app="CidenetPrueba">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Consulta empleados</title>


        <!-- Incluir Bootstrap -->
        <link rel="stylesheet" href="css/bootstrap.min.css">

        <!-- Animate.css -->
        <link rel="stylesheet" href="css/animate.css">

        <!-- Incluir AngularJS Librerias -->
        <script src="js/lib/angular.min.js"></script>                
        <script type="text/javascript" src="js/database/db.js"></script>
        <script src="js/app.js"></script>

         <!-- Datatable -->
        <script src="js/lib/DataTable/jquery-3.5.1.js"></script>
        <script src="js/lib/DataTable/jquery.dataTables.min.js"></script>
        <script src="js/lib/DataTable/dataTables.bootstrap.min.js"></script>

        <style>
            .avatar{
                width: 75px;
                height: 75px;
            }

            .puntero{
                cursor: pointer;
            }

        </style>

    </head>  

    <body ng-controller="listadoCtrl">

<!-- Consulta de Empleados -->
        <div class="container">
            
            <h1>Cidenet - Consulta Empleados</h1>
            <h4>Prueba</h4>
            <hr>

            <!-- <div class="row">
                Busqueda:
                <input type="text" name="busqueda" ng-model="busqueda.PrimerApellido" class="form-control" placeholder="Ingrese lo que desea buscar">
                <br>
            </div> -->

            <!-- <table id="tblReg" class="table table-striped"> -->
            <table id="tblReg" class="table table-striped table-bordered">                
              <thead class="static">
                <tr>
                  <th scope="col"><a class="puntero" ng-click="columna='PrimerApellido'; reverse = !reverse;"/>Primer Apellido</th>
                  <th scope="col"><a class="puntero" ng-click="columna='SegundoApellido'; reverse = !reverse;"/>Segundo Apellido</th>
                  <th scope="col"><a class="puntero" ng-click="columna='PrimerNombre'; reverse = !reverse;"/>Primer Nombre</th>
                  <th scope="col"><a class="puntero" ng-click="columna='OtroNombre'; reverse = !reverse;"/>Otros Nombres</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Pais'; reverse = !reverse;"/>País del empleo</th>
                  <th scope="col"><a class="puntero" ng-click="columna='TipoID'; reverse = !reverse;"/>Tipo de ID</th>
                  <th scope="col"><a class="puntero" ng-click="columna='NumID'; reverse = !reverse;"/># de ID</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Email'; reverse = !reverse;"/>Correo electrónico</th>
                  <th scope="col">Fecha de ingreso</th>
                  <th scope="col">Área</th>
                  <th scope="col"><a class="puntero" ng-click="columna='Estado'; reverse = !reverse;"/>Estado</th>
                  <th scope="col">Fecha y Hora de Registro</th>
                  <th>Ver</th>
                  <th>Eliminar</th>
                </tr>
              </thead>
              <tbody>
                <tr ng-repeat="persona in personas | filter:busqueda | orderBy:columna: reverse | limitTo:posicion | limitTo:-10">
                  <td>{{persona.PrimerApellido}}</td>
                  <td>{{persona.SegundoApellido}}</td>
                  <td>{{persona.PrimerNombre}}</td>
                  <td>{{persona.OtroNombre}}</td>
                  <td>{{persona.Pais}}</td>
                  <td>{{persona.TipoID}}</td>
                  <td>{{persona.NumID}}</td>
                  <td>{{persona.Email}}</td>
                  <td>{{persona.FechIng}}</td>
                  <td>{{persona.Area}}</td>
                  <td>{{persona.Estado}}</td>
                  <td>{{persona.FechReg}}</td>
                  <td><button id="btnEdit" ng-click="Editar(persona)" type="submit" class="btn btn-primary">Editar</button></td>
                  <!-- <td><button id="btnEdit" ng-click="ocultar = false" type="submit" class="btn btn-primary">Editar</button></td> -->
                  <td><button id="btnElim" type="submit" class="btn btn-danger" ng-click="Eliminar(persona)">X</button></td>
                </tr>
              </tbody>
            </table>   

            <!-- <button class="btn btn-primary" ng-click="anterior()">Anteriores</button>
            <button class="btn btn-primary" ng-click="siguiente()">Siguientes</button>  -->

            <br>

<!-- Registro de Empleados -->
            <div ng-app="CidenetPrueba">
                <div class="Container">                    
                    <button id="btnReg" ng-click="ShowFormReg()" ng-hide="formVisibility" type="submit" class="btn btn-primary">Crear Registro</button>
                </div>

                <div id="Reg" ng-show="formVisibilityReg">
                    <h1>Cidenet - Registro Empleados</h1>
                    <h4>Prueba</h4>
                    <hr>

                    <form ng-submit="guardarEmpleado()">
                        Primer Apellido:
                        <br>
                        <input id="PrimerApellido" class="form-control" type="text" name="PrimerApellido" ui-mask="{{telMask}}" required="">
                        <br>
                        Segundo Apellido:
                        <input id="SegundoApellido" type="text" name="SegundoApellido:" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>
                        Primer Nombre:
                        <input id="PrimerNombre" type="text" name="PrimerNombre" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>                
                        Otro Nombre:
                        <input id="OtroNombre" type="text" name="OtroNombre" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>
                        País del empleo:
                        <select id="Pais" name="Pais" class="form-control" ui-mask="{{telMask}}">
                            <option value="Colombia" selected>Colombia</option>
                            <option value="Estados Unidos">Estados Unidos</option>
                        </select>
                        <br>
                        Tipo de ID:
                        <select id="TipoID" type="text" name="TipoID" class="form-control" ui-mask="{{telMask}}">
                            <option value="Cédula de Ciudadanía" selected>Cédula de Ciudadanía</option>
                            <option value="Cédula de Extranjería">Cédula de Extranjería</option>
                            <option value="Pasaporte">Pasaporte</option>
                            <option value="Permiso Especial">Permiso Especial</option>
                        </select>
                        <br>
                        # de ID:
                        <input id="NumID" type="text" name="NumID" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>                
                        Correo electrónico:
                        <input id="Email" type="text" name="Email" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>
                        Fecha de ingreso:
                        <input id="FechIng" type="date" name="FechIng" class="form-control" ui-mask="{{telMask}}" required="">
                        <br>
                        Área:
                        <select id="Area" type="text" name="Area" class="form-control" ui-mask="{{telMask}}">
                            <option value="" selected>Administración</option>
                            <option value="">Financiera</option>
                            <option value="">Compras</option>
                            <option value="">Infraestructura</option>
                            <option value="">Operación</option>
                            <option value="">Talento Humano</option>
                            <option value="">Servicios Varios</option>
                        </select>
                        <br>
                        Estado:
                        <select id="Estado" type="text" name="Estado" class="form-control" ui-mask="{{telMask}}" disabled>
                            <option value="" selected>Activo</option>
                            <option value="">Inactivo</option>
                        </select>
                        <br>
                        Fecha y Hora de Registro:
                        <div ng-controller="FechaActual">
                            <input id="FechReg" type="text" name="FechReg" class="form-control" ui-mask="{{telMask}}" value="{{ CurrentDate | date:'dd/MM/yyyy HH:mm:ss'}}" disabled> 
                        </div> 
                        <br>
                          <button type="submit" class="btn btn-primary" ng-click="SaveInfo()">Guardar</button>
                        <br>
                        <br>
                        <!-- <p class="text-success animated fadeIn fast" ng-show="actualizado">Registro Actualizado</p> -->
                    </form>
                </div>
            </div>
            <br><br><br>  


<!-- Edicion Registro de Empleados -->
            <div ng-app="CidenetPrueba">
              <div id="Edit" ng-show="formVisibilityEdit">
                <h1>Cidenet - Edición de Registros Empleados</h1>
                <h4>Prueba</h4>
                <hr>
                <form ng-submit="editarEmpleado()" ng-repeat="persona in registros">
                    Primer Apellido:
                    <br>
                    <input id="PrimerApellidoEdit" class="form-control" type="text" name="PrimerApellido" ui-mask="{{telMask}}" required="" value="{{persona.PrimerApellido}}">
                    <br>
                    Segundo Apellido:
                    <input id="SegundoApellidoEdit" type="text" name="SegundoApellido:" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.SegundoApellido}}">
                    <br>
                    Primer Nombre:
                    <input id="PrimerNombreEdit" type="text" name="PrimerNombre" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.PrimerNombre}}">
                    <br>                
                    Otro Nombre:
                    <input id="OtroNombreEdit" type="text" name="OtroNombre" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.OtroNombre}}">
                    <br>
                    País del empleo:
                    <select id="PaisEdit" name="PaisEdit" class="form-control" ui-mask="{{telMask}}">
                        <option value="1">Colombia</option>
                        <option value="2">Estados Unidos</option>
                    </select>
                    <br>
                    Tipo de ID:
                    <select id="TipoIDEdit" type="text" name="TipoID" class="form-control" ui-mask="{{telMask}}">
                        <option value="" selected>Cédula de Ciudadanía</option>
                        <option value="">Cédula de Extranjería</option>
                        <option value="">Pasaporte</option>
                        <option value="">Permiso Especial</option>
                    </select>
                    <br>
                    # de ID:
                    <input id="NumIDEdit" type="text" name="NumID" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.NumID}}">
                    <br>                
                    Correo electrónico:
                    <input id="EmailEdit" type="text" name="Email" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.Email}}">
                    <br>
                    Fecha de ingreso:
                    <input id="FechIngEdit" type="date" name="FechIng" class="form-control" ui-mask="{{telMask}}" required="" value="{{persona.FechIng}}">
                    <br>
                    Área:
                    <select id="AreaEdit" type="text" name="Area" class="form-control" ui-mask="{{telMask}}">
                        <option value="" selected>Administración</option>
                        <option value="">Financiera</option>
                        <option value="">Compras</option>
                        <option value="">Infraestructura</option>
                        <option value="">Operación</option>
                        <option value="">Talento Humano</option>
                        <option value="">Servicios Varios</option>
                    </select>
                    <br>
                    Estado:
                    <select id="EstadoEdit" type="text" name="Estado" class="form-control" ui-mask="{{telMask}}">
                        <option value="" selected>Activo</option>
                        <option value="">Inactivo</option>
                    </select>
                    <br>
                    Fecha y Hora de Registro:
                    <div ng-controller="FechaActual">
                        <input id="FechRegEdit" type="text" name="FechReg" class="form-control" ui-mask="{{telMask}}" value="{{persona.FechReg}}" disabled> 
                    </div> 
                    <br>
                      <button type="submit" class="btn btn-primary" ng-click="SaveInfoEdit()">Editar</button>
                    <br>
                    <br>
                    <!-- <p class="text-success animated fadeIn fast" ng-show="actualizado">Registro Actualizado</p> -->
                </form>               
            </div>
        </div>
        <br><br><br>  

    </div>

  </body>
   
</html>  
